/*global*/


[ng\:cloak], [ng-cloak], .ng-cloak {
  display: none !important;
}

.btn-group-xs > .btn, .btn-xs {
  padding: 0.3em 1em;
  font-size: 0.7rem;
  border-radius: .2rem;
}

.table-content td {
   padding: 0.2em;
   font-size: 0.7em;
}
.table-content th {
   padding: 0.2em;
   font-size: 0.8em;
}

.fileupload-queue td {
   padding: 0.2em;
   font-size: 0.7em;
}
.fileupload-queue th {
   padding: 0.2em;
   font-size: 0.8em;
}

.nv-file-over {
    border: dotted 1px green !important;
}

.table-places tr:first-child td {
  border-top: 0px;
}

.thumb {
	background-size: cover;
	background-position: center;
	height: 5em !important;
}

.fileupload-queue td:first-child{
  word-break: break-all;
}

.operator-email {
  text-overflow: ellipsis;
  overflow: hidden;
  white-space: nowrap;
  max-width: 10em;
}

@media (min-width: 1200px) {
  .col-md-1 {
      flex: 0 0 8.33333%;
      max-width: 8.33333%;
  }
}

@media (max-width: 768px) {
  .thumb {
    height:8em !important;
  }
  .btn {
    margin-bottom: 2px;
  }
  .card-body .row a:last-child{
    margin-bottom: 0px;
  }
  .operator-email {
    max-width: 5em;
  }
}

@media (max-width: 505px) {
  .navbar-logo {
    max-width: 15em !important;
  }
}

@media (max-width: 400px) {
  .navbar-logo {
    max-width: 10em !important;
  }
}


@media (max-width: 406px) {

  .thumb-xs {
    height: 2.5em;
  }

  .custom-file-label::after {
    width: 105%;
    left: -1px;
  }

  .operator-email {
    max-width: 5em;
  }
}

@media (min-width: 406px) {
  button span.d-sm-block{
    display: inline !important;
  }
}

@media (min-width: 992px) {
  button span.d-lg-block{
    display: inline !important;
  }
}

@media (max-width: 991px) {
  .navbar-collapse {
    padding-left: 1rem;
    padding-right: 1rem;
  }
}

/* smartphones, touchscreens */
@media (hover: none) and (pointer: coarse) {
  .custom-file-label::after {
    width: 105%;
    left: -1px;
  }
}
/* stylus-based screens */
@media (hover: none) and (pointer: fine) {
  .custom-file-label::after {
    width: 105%;
    left: -1px;
  }
}
/* Nintendo Wii controller, Microsoft Kinect */
@media (hover: hover) and (pointer: coarse) {
  .custom-file-label::after {
    width: 105%;
    left: -1px;
  }
}

.navbar-toggler {
  margin-top: 0.2em;
  margin-bottom: 0.2em;
}

.custom-file-label::after {
  content: "Sfoglia";
}

.custom-file-label {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
  }

.card {
  border-bottom-left-radius: 0px;
  border-bottom-right-radius: 0px;
}

.card-body .row{
  border-top: 1px solid #e3e6f0;
}

.card-body .row:first-child{
  border-top: 0px;
}

.thumb-xs {
	background-size: cover;
	background-position: center;
	width: 4em;
}

.btn-success.checked {
	background-color: #348651;
}
.btn-success.unchecked {
	background-color: #abd2b9;
	border-color: #95cea2;
}
.text-singleline {
	overflow: hidden;
	height: 1.5rem;
}

.invalid-feedback {
  display: block;
}

.g-recaptcha :first-child{
  margin: auto;
}

/* start - fixes for modal bootstrap */
.fade.in {
  opacity: 1;
}
.modal.in .modal-dialog {
  -webkit-transform: translate(0, 0);
  -o-transform: translate(0, 0);
  transform: translate(0, 0);
}
.modal-backdrop.in {
  opacity: 0.5;
}
/* end - fixes for modal bootstrap */

.carousel-inner {
  height: 800px !important;
}
.carousel-item {
  height: 800px !important;
}

.navbar {
  padding: 0px !important;
}

.navbar-brand {
  background-image: url('/res/img/navbar-brand-background.png');
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: center;
  height: 3em;
  clip-path: polygon(
    0 0, /* left top */
    100% 0, /* right top */ 
    95% 100%, /* right bottom */
    0 100% /* left bottom */
  );
  -webkit-clip-path: polygon(
    0 0, /* left top */
    100% 0, /* right top */ 
    95% 100%, /* right bottom */
    0 100% /* left bottom */
  );
  padding-left: 0.5em;
  padding-right: 2em;
  margin: 0px;
}

.navbar-content {

}

.navbar-logo {
  background-image: url('/res/img/logo.png');
  background-size: contain;
  background-repeat: no-repeat;
  background-position: center;
  width: 20em;
  height: 1em;
  display: inline-block;
}

.card-header {
  background-color: #fafafa;
}

#browsernotsupported {
  margin-top: 10em;
  font-size: 20px;
  display: none;
}

.footer {
  position: fixed;
  bottom: 0px;
  width: 100%;
  height: 3.8em;
  padding: 0.25em;
  background-color: #eeeeee;
  z-index: 1000;
}
.footer-logo {
  width: 100%;
  height: 100%;
  background-image: url('/res/img/footer.png');
  background-position: center;
  background-repeat: no-repeat;
  background-size: contain;
}

.info-feedback {
  font-size: 13px;
  color: #545454;
}

body {
  padding-bottom: 5em;
}

.signup-comune {
  padding-top: 0px !important;
  padding-bottom: 0px !important;
  padding-left: 1em !important;
}

.table td {
  vertical-align: middle;
}